Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           gimp-normalmap
Version:        1.2.3
Release:        alt2_22
Summary:        Plugin that enabled the creation of normal maps

License:        GPLv2+
URL:            http://code.google.com/p/gimp-normalmap/
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.tar.bz2
Patch0:         %{name}-fixmake.patch

BuildRequires:  gcc
BuildRequires:  libgimp-devel
BuildRequires:  libgtkglext-devel
BuildRequires:  libGLEW-devel
Requires:       gimp
Source44: import.info

%description
A plugin for Gimp that enables the creation of normal maps
that you can use to achieve a number of lighting effects in pixel-based artwork.

%prep
%setup -q
%patch0

%build
%make_build CFLAGS="%{optflags}"


%install
mkdir -p %{buildroot}%{_libdir}/gimp/2.0/plug-ins/
install -m 755 normalmap %{buildroot}%{_libdir}/gimp/2.0/plug-ins/

%files
%doc COPYING README
%{_libdir}/gimp/2.0/plug-ins/normalmap


%changelog
* Sun Nov 14 2021 Cronbuild Service <cronbuild@altlinux.org> 1.2.3-alt2_22
- rebuild to get rid of unmets

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_22
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_21
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_20
- update to new release by fcimport

* Sun Sep 02 2018 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_19
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_17
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_16
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_14
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_12
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_10
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_9
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_8
- update to new release by fcimport

* Wed Nov 20 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_7
- update to new release by fcimport

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_6
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_5
- update to new release by fcimport

* Fri May 31 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_4
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.3-alt1_3
- initial fc import

